import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SynapseWorkspaceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly aadAdmin?: SynapseWorkspaceAadAdmin[];
    /**
     * @stability stable
     */
    readonly location: string;
    /**
     * @stability stable
     */
    readonly managedVirtualNetworkEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupName: string;
    /**
     * @stability stable
     */
    readonly sqlAdministratorLogin: string;
    /**
     * @stability stable
     */
    readonly sqlAdministratorLoginPassword: string;
    /**
     * @stability stable
     */
    readonly storageDataLakeGen2FilesystemId: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: SynapseWorkspaceTimeouts;
}
/**
 * @stability stable
 */
export interface SynapseWorkspaceAadAdmin {
    /**
     * @stability stable
     */
    readonly login?: string;
    /**
     * @stability stable
     */
    readonly objectId?: string;
    /**
     * @stability stable
     */
    readonly tenantId?: string;
}
/**
 * @stability stable
 */
export declare class SynapseWorkspaceIdentity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get principalId(): string;
    /**
     * @stability stable
     */
    get tenantId(): string;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export interface SynapseWorkspaceTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly read?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class SynapseWorkspace extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SynapseWorkspaceConfig);
    private _aadAdmin?;
    /**
     * @stability stable
     */
    get aadAdmin(): SynapseWorkspaceAadAdmin[];
    /**
     * @stability stable
     */
    set aadAdmin(value: SynapseWorkspaceAadAdmin[]);
    /**
     * @stability stable
     */
    resetAadAdmin(): void;
    /**
     * @stability stable
     */
    get aadAdminInput(): SynapseWorkspaceAadAdmin[] | undefined;
    /**
     * @stability stable
     */
    connectivityEndpoints(key: string): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    identity(index: string): SynapseWorkspaceIdentity;
    private _location;
    /**
     * @stability stable
     */
    get location(): string;
    /**
     * @stability stable
     */
    set location(value: string);
    /**
     * @stability stable
     */
    get locationInput(): string;
    /**
     * @stability stable
     */
    get managedResourceGroupName(): string;
    private _managedVirtualNetworkEnabled?;
    /**
     * @stability stable
     */
    get managedVirtualNetworkEnabled(): boolean;
    /**
     * @stability stable
     */
    set managedVirtualNetworkEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetManagedVirtualNetworkEnabled(): void;
    /**
     * @stability stable
     */
    get managedVirtualNetworkEnabledInput(): boolean | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     * @stability stable
     */
    get resourceGroupName(): string;
    /**
     * @stability stable
     */
    set resourceGroupName(value: string);
    /**
     * @stability stable
     */
    get resourceGroupNameInput(): string;
    private _sqlAdministratorLogin;
    /**
     * @stability stable
     */
    get sqlAdministratorLogin(): string;
    /**
     * @stability stable
     */
    set sqlAdministratorLogin(value: string);
    /**
     * @stability stable
     */
    get sqlAdministratorLoginInput(): string;
    private _sqlAdministratorLoginPassword;
    /**
     * @stability stable
     */
    get sqlAdministratorLoginPassword(): string;
    /**
     * @stability stable
     */
    set sqlAdministratorLoginPassword(value: string);
    /**
     * @stability stable
     */
    get sqlAdministratorLoginPasswordInput(): string;
    private _storageDataLakeGen2FilesystemId;
    /**
     * @stability stable
     */
    get storageDataLakeGen2FilesystemId(): string;
    /**
     * @stability stable
     */
    set storageDataLakeGen2FilesystemId(value: string);
    /**
     * @stability stable
     */
    get storageDataLakeGen2FilesystemIdInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): SynapseWorkspaceTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: SynapseWorkspaceTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): SynapseWorkspaceTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
